from datetime import datetime, timedelta

current_time = datetime.strptime("00:00", "%H:%M")
end_time = datetime.strptime("23:50", "%H:%M")
order = 1

while current_time <= end_time:
    hour = current_time.hour
    minute = current_time.minute

    suffix = "ص" if hour < 12 else "م"
    display_hour = hour % 12
    display_hour = 12 if display_hour == 0 else display_hour

    if minute == 0:
        time_label = f"{display_hour}{suffix}"
    else:
        time_label = f"{display_hour}:{minute:02d}"

    print(f'HourSlot.objects.create(name="{time_label}", order={order}, is_active=False).save()')

    current_time += timedelta(minutes=10)
    order += 1
